Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025586
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2014-01-29 01:552014-02-12 18:29
ReporterjonalegriaesarteView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revision91a0ce25252f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP29.4SCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2013-10-07
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/94d0fb15191969d20c2f89b919bec8a95ad33110 [^]
Triggers an Emergency PackNo
Summary

0025586: Display logic based on a column which field is set as not shown is not working fine

DescriptionDisplay logic based on a column which field is set as not shown is not working fine. There is a clear example in document sequence window. The display logic over columns prefix and suffix is @IsTableID@='N', and the field IsTableID is not shown in the window Document Sequence.
Steps To Reproduce- Check the display logic in field prefix on window Document Sequence
- Check the value of column istableid for AR Invoice entry, for example
select * from ad_sequence where name like 'AR Invoice'
- Document sequence window
- Prefix and suffix are not shown
In MP28.5 it was working fine, but in MP29.4, it is not working, using the same display logic
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0063782)
hgbot (developer)
2014-01-29 11:36

Repository: erp/devel/pi
Changeset: 91a0ce25252fcee4fc9c98ac7b3a293352ae6e5d
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Jan 29 11:35:48 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/91a0ce25252fcee4fc9c98ac7b3a293352ae6e5d [^]

Fixes issue 25586: Display logic based on hidden field works

Hidden fields that are part of the display logic of other fields are now included in the list of the grid required fields.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewFieldHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewGridComponent.java
---
(0063783)
hgbot (developer)
2014-01-29 11:42

Repository: erp/devel/pi
Changeset: f1bf6f15bafe3c9eb22c03907e7da7d4041f7de9
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Jan 29 11:40:33 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f1bf6f15bafe3c9eb22c03907e7da7d4041f7de9 [^]

Related to issue 25586: Updates copyright info

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewFieldHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewGridComponent.java
---
(0063813)
shankarb (developer)
2014-01-30 14:00

Code reviewed and tested in pi changeset 018b8e666e7d
(0064134)
hudsonbot (developer)
2014-02-12 18:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d1a5bb862230 [^]
Maturity status: Test
(0064135)
hudsonbot (developer)
2014-02-12 18:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d1a5bb862230 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-01-29 01:55 jonalegriaesarte New Issue
2014-01-29 01:55 jonalegriaesarte Assigned To => AugustoMauch
2014-01-29 01:55 jonalegriaesarte Modules => Core
2014-01-29 01:55 jonalegriaesarte Triggers an Emergency Pack => No
2014-01-29 01:55 jonalegriaesarte Priority normal => immediate
2014-01-29 09:17 mmarquez Issue Monitored: mmarquez
2014-01-29 11:21 alostale Regression level => Production - Confirmed Stable
2014-01-29 11:22 AugustoMauch Issue Monitored: shankarb
2014-01-29 11:23 AugustoMauch Review Assigned To => shankarb
2014-01-29 11:34 AugustoMauch Regression date => 2013-10-07
2014-01-29 11:34 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/94d0fb15191969d20c2f89b919bec8a95ad33110 [^]
2014-01-29 11:36 hgbot Checkin
2014-01-29 11:36 hgbot Note Added: 0063782
2014-01-29 11:36 hgbot Status new => resolved
2014-01-29 11:36 hgbot Resolution open => fixed
2014-01-29 11:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/91a0ce25252fcee4fc9c98ac7b3a293352ae6e5d [^]
2014-01-29 11:42 hgbot Checkin
2014-01-29 11:42 hgbot Note Added: 0063783
2014-01-30 14:00 shankarb Note Added: 0063813
2014-01-30 14:00 shankarb Status resolved => closed
2014-01-30 14:00 shankarb Fixed in Version => 3.0MP32
2014-02-12 18:29 hudsonbot Checkin
2014-02-12 18:29 hudsonbot Note Added: 0064134
2014-02-12 18:29 hudsonbot Checkin
2014-02-12 18:29 hudsonbot Note Added: 0064135


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker